I noticed the other day than when trying to use the YAST printer tool
(YAST->Hardware->Printer) the GUI comes up and then exits immediately.

Here's the CLI output:

Command: /sbin/yast2 printer &
Segmentation fault at Printerdb.ycp:375
/sbin/yast2: line 233: 6198 Segmentation fault $ybindir/y2base
$module "$@" qt "$Y2_GEOMETRY" $Y2QT_ARGS

When using XTerm rather than Konsole or Gnome Terminal, lots of
additional stuff gets displayed, commencing with:

***glibc detected*** /usr/lib/YaST2/bin/y2base: corrupted double-linked
list: 0x000000000169def0

This seems to be the only section of the YAST tool that's affected in
this way.

Printers can still be added and configured through the CUPS web browser
dialog.

Any suggestions where to look? This is obviously not a critically
important issue, but I'd still like to know where the problem may be.

The system is SUSE 10.1 64-bit.